%global _pathfix pathfix.py
%bcond_with test

Summary: Easy, clean, reliable Python 2/3 compatibility
Name: future
Version: 0.18.2
Release: 3%{?dist}
License: MIT
URL: http://python-future.org/
Source0: https://files.pythonhosted.org/packages/source/f/%{name}/%{name}-%{version}.tar.gz
BuildArch: noarch

%description
python-future is the missing compatibility layer between Python 2 and
Python 3. It allows you to use a single, clean Python 3.x-compatible
codebase to support both Python 2 and Python 3 with minimal overhead.

%package -n python%{python3_pkgversion}-%{name}
Summary: Easy, clean, reliable Python 2/3 compatibility
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools
BuildRequires: python%{python3_pkgversion}-numpy
BuildRequires: python%{python3_pkgversion}-requests
BuildRequires: python%{python3_pkgversion}-pytest
Provides:      future-python3 = %{version}-%{release}

%description -n python%{python3_pkgversion}-%{name}
python-future is the missing compatibility layer between Python 2 and
Python 3. It allows you to use a single, clean Python 3.x-compatible
codebase to support both Python 2 and Python 3 with minimal overhead.


%prep
%autosetup -n future-%{version} -p1

find ./ -name '*.py' | xargs %{_pathfix} -pn -i "%{__python3}"

%build
%py3_build


%install
%py3_install
mv %{buildroot}%{_bindir}/futurize %{buildroot}%{_bindir}/futurize-%{python3_version}
mv %{buildroot}%{_bindir}/pasteurize %{buildroot}%{_bindir}/pasteurize-%{python3_version}
ln -sf ./futurize-%{python3_version} %{buildroot}%{_bindir}/futurize-3
ln -sf ./pasteurize-%{python3_version} %{buildroot}%{_bindir}/pasteurize-3
ln -sf ./futurize-%{python3_version} %{buildroot}%{_bindir}/futurize
ln -sf ./pasteurize-%{python3_version} %{buildroot}%{_bindir}/pasteurize
sed -i -e '/^#!\//, 1d' %{buildroot}%{python3_sitelib}/future/backports/test/pystone.py

chmod a+x %{buildroot}%{python3_sitelib}/future/backports/test/pystone.py

%if %{with test}
%check
PYTHONPATH=$PWD/build/lib py.test-%{python3_version} -k "not test_pow and not test_urllib2" -q
%endif

%files -n python%{python3_pkgversion}-%{name}
%license LICENSE.txt
%doc README.rst
%{_bindir}/futurize-3
%{_bindir}/pasteurize-3
%{_bindir}/futurize
%{_bindir}/pasteurize
%{_bindir}/futurize-%{python3_version}
%{_bindir}/pasteurize-%{python3_version}
%{python3_sitelib}/future/
%{python3_sitelib}/past/
%{python3_sitelib}/libfuturize/
%{python3_sitelib}/libpasteurize/
%{python3_sitelib}/*.egg-info


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.18.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.18.2-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 26 2022 cunshunxia <cunshunxia@tencent.com> - 0.18.2-1
- initial build
